package com.bc_chat.mine

import android.content.Intent
import com.bc_chat.mine.databinding.ActivityMainBinding
import com.zhaohaoting.framework.abs.BaseNoActionBarActivity
import com.zhaohaoting.framework.abs.contract.BaseContract

class MainActivity : BaseNoActionBarActivity<BaseContract.BasePresenter>() {

    private var mineFragment: MineFragment? = null

    override fun onInit() {
        mineFragment = MineFragment()
        addFragment(mineFragment, R.id.fl_content)
    }

    private val binding by lazy {
        rootDataBinding as ActivityMainBinding
    }

    override fun initPresenter(): BaseContract.BasePresenter {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun getLayoutResId(): Int = R.layout.activity_main

    override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        mineFragment?.onActivityResult(requestCode, resultCode, data)
    }

}
